// pages/pointList/pointList.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    pointList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getPointList()
  },
  getPointList() {
    wx.showLoading({
      title: '加载中'
    })
    wxService.get(`/sale/touchpoints/pointConsumptionActivity/findAllValidActivityList`).then(res => {
      if(res) {
        const { result, data } = res.data
        if (result == 0) {
          wx.hideLoading()
          console.log(data)
          this.setData({
          })
        }
      } 
    })
  },
  handleDetail(e) {
    const {index} = e.currentTarget.dataset
    console.log('handleDetail',index)
    wxService.router(`/pages/pointDetail/pointDetail`).search({index})
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})